> ## Documentation Index
> Fetch the complete documentation index at: https://docs.depict.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Collection Preview Url



## OpenAPI

````yaml /api-reference/openapi/lite.json post /collections/{collection_id}/preview-url
openapi: 3.1.0
info:
  title: Depict Lite API
  version: 1.0.0
  description: >-
    REST API behind Depict Lite, the native Shopify app: onboarding,
    collections, boost & bury, dashboards, A/B testing and multi-store
    management. Endpoints are served under the /api/lite prefix and require an
    Auth0-issued bearer token.
servers:
  - url: /api/lite
security: []
paths:
  /collections/{collection_id}/preview-url:
    post:
      summary: Get Collection Preview Url
      operationId: get_collection_preview_url_collections__collection_id__preview_url_post
      parameters:
        - name: collection_id
          in: path
          required: true
          schema:
            type: string
            title: Collection Id
        - name: version
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Version
        - name: merchant_id
          in: query
          required: true
          schema:
            type: string
            title: Merchant Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetCollectionPreviewUrlRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: >-
                      #/components/schemas/GetCollectionPreviewUrlSuccessResponse
                  - $ref: >-
                      #/components/schemas/GetCollectionPreviewUrlWrongPasswordErrorResponse
                discriminator:
                  propertyName: status
                  mapping:
                    success:
                      $ref: >-
                        #/components/schemas/GetCollectionPreviewUrlSuccessResponse
                    wrong_password:
                      $ref: >-
                        #/components/schemas/GetCollectionPreviewUrlWrongPasswordErrorResponse
                title: >-
                  Response Get Collection Preview Url Collections  Collection
                  Id  Preview Url Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - Auth0: []
components:
  schemas:
    GetCollectionPreviewUrlRequest:
      properties:
        template_suffix:
          type: string
          title: Template Suffix
        products_cache_key:
          items:
            type: string
          type: array
          title: Products Cache Key
        width:
          type: integer
          maximum: 4000
          minimum: 100
          title: Width
          default: 1000
        password:
          anyOf:
            - type: string
            - type: 'null'
          title: Password
      type: object
      required:
        - template_suffix
        - products_cache_key
      title: GetCollectionPreviewUrlRequest
    GetCollectionPreviewUrlSuccessResponse:
      properties:
        status:
          type: string
          enum:
            - success
          const: success
          title: Status
        render_url:
          type: string
          title: Render Url
      type: object
      required:
        - status
        - render_url
      title: GetCollectionPreviewUrlSuccessResponse
    GetCollectionPreviewUrlWrongPasswordErrorResponse:
      properties:
        status:
          type: string
          enum:
            - wrong_password
          const: wrong_password
          title: Status
      type: object
      required:
        - status
      title: GetCollectionPreviewUrlWrongPasswordErrorResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    Auth0:
      type: oauth2
      flows:
        authorizationCode:
          scopes:
            openid: OpenID Connect
            profile: User profile
            email: User email
          authorizationUrl: https://depict.eu.auth0.com/oauth/authorize
          tokenUrl: https://depict.eu.auth0.com/oauth/token
      x-tokenName: id_token

````